@media (max-width: 1439.98px) {
  .hero {
    &__body {
      max-width: 1120px;
    }

    &__content {
      margin-right: 50px;
    }

    &__title {
      font-size: 42px;
      max-width: 350px;
    }

    &__btn {
      height: 48px;
      line-height: 48px;
      font-size: 14px;
    }
  }

  .marketplace-slider{

    .slider-preloader {
     
       &__item {
         padding-top: 34.5%;
       }
       

       &__item:nth-child(5) {
        display: none;
       }
     }
  }

  .assets-content {
    grid-template-columns: repeat(3, 1fr);
  }

  .assets-content.active {
    grid-template-columns: repeat(4, 1fr);
  }

  .coll-tabs-content__tab {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media (min-width: 1440px) and (min-height: 1080px) {
  .hero {
    &__text {
      font-size: 22px;
      margin: 30px 0 40px;
    }
  }
  .slider-hero {
    max-width: 640px;
  }
}

@media (max-width: 1199.98px) {
  [class*="__container"]:not([class*="header-blog"], [class*="blog"], [class*="post"], .swiper-container) {
    padding: 0 15px;
  }

  .marketplace-slider{

    .slider-preloader {
     
       &__item {
         padding-top: 44%;
       }

       &__item:nth-child(4) {
        display: none;
       }
     }
  }

  .assets-content {
    grid-template-columns: repeat(2, 1fr);
  }

  .assets-content.active {
    grid-template-columns: repeat(3, 1fr);
  }

  .token-slider {
    .slider-button {
      &__next,
      &__prev {
        right: -10px;
      }
    }
  }
}

@media (max-width: 1023.98px) { 
  .hero {
    &__body {
      max-width: 960px;
    }
  }

  .top-collections-slider,
  .news-slider{
    .slider-preloader {
      &__item {
        padding-top: 35.7%;
        min-height: 245px;
      }
      &__item:nth-child(3) {
        display: none;
      }
    }
  }

  .category {
    &__content {
      grid-template-columns: repeat(2, 1fr);
    }
  }


  .coll-tabs-content__tab {
    grid-template-columns: repeat(2, 1fr);
  }

  .footer-top {
    grid-template-columns: repeat(3, 1fr);

    &__subscribe {
      grid-column: 1 / span 2;
      max-width: 100%;
    }

    &__socials {
      grid-column: 3 / span 1;
      grid-row: 1;
    }
  }

  .footer-socials {
    &__link {
      height: 48px;
      width: 48px;
      line-height: 48px;
    }
  }

  .post-feed {
    grid-template-columns: repeat(2, 1fr);
  }

  .post-card-large {
    grid-column: 1 / span 2;
  }

  .post-more {
    &__body {
      grid-template-columns: repeat(2, 1fr);
    }

    .post-card:nth-child(3) {
      display: none;
    }
  }
}

@media (max-width: 964.98px) {
  .section-top {
    margin-bottom: 20px;
  }

  .btn--show-more {
    height: 48px;
    line-height: 48px;
    margin-top: 15px;
  }

  .header {
    &__search,
    &__wallet,
    &__menu {
      display: none;
    }

    &__inner {
      gap: 10px;
    }

    &__burger-btn,
    &__search-btn {
      display: flex;
    }
  }

  .header-blog {
    &__inner {
      gap: 10px;
    }

    &__menu,
    .header-socials {
      display: none;
    }

    &__burger-btn {
      display: block;
    }

    &__logo {
      margin-right: auto;
    }

    &.active {
      position: fixed;
      top: 0;
      z-index: 99999;

      .header-menu {
        display: flex;
        align-items: center;
        justify-content: center;
        position: fixed;
        inset: 0;
        top: -30px;
        background-color: var(--dark);
        z-index: -1;

        &__list {
          flex-direction: column;
        }

        &__item {
          font-size: 28px;
          text-align: center;
        }
      }

      .header-socials {
        position: fixed;
        inset: auto 0 30px;
        display: flex;
        justify-content: center;

        &__link {
          padding: 10px 20px;
          &.icon-twitter::before,
          &.icon-inst::before,
          &.icon-discord::before,
          &.icon-reddit::before {
            font-size: 30px;
          }
        }
      }
    }
  }

  .hero {
    &__title {
      font-size: 38px;
    }
  }

  .assets-filter {
    position: absolute;
    inset: 0 0 0 auto;
    height: auto;
    margin: 20px 24px;
    pointer-events: none;
    border: none;
    box-shadow: rgb(0 0 0 / 20%) 0 0 20px 2px;
    opacity: 0;
    transform: translateX(30px);
    z-index: 9999;
    transition: all 0.2s;

    &.active {
      display: flex;
      flex-direction: column;
    }

    &__body {
      padding: 0 24px;
    }

    &__main {
      flex: 1 0 auto;
    }

    &__header,
    &__footer {
      display: flex;
    }

    &__space {
      display: none;
    }
  }

  .assets-search {
    order: -1;
  }
  .assets-top {
    flex-wrap: wrap;
    gap: 15px 10px;
    margin-bottom: 15px;

    &__filter-btn {
      flex: 1 0 auto;
    }
  }

  .token {
    &__content {
      margin-bottom: 30px;
    }
  }

  .token-descr {
    margin-right: 0;

    &__top {
      max-width: 100%;
      margin-bottom: 30px;
    }

    &__main-img{
      max-height: calc(100vh - 130px);
    }

    &__tabs {
      max-width: 100%;
    }
  }

  .token-main {
    position: relative;
    top: 0;
    min-width: 100%;
    max-width: 100%;
  }
}

@media (max-width: 767.98px) {
  .bag {
    margin: 10px 24px;
  }

  .hero {
    &__content {
      max-width: 350px;
      margin-right: 20px;
    }

    &__title {
      font-size: 34px;
      max-width: 300px;
    }

    &__text {
      font-size: 16px;
    }
  }

  .slider-hero,
  .token-slider {
    .slider-button {
      display: none;
    }
  }

  .btn--show-more {
    margin-top: 10px;
    border-radius: 12px;
    padding: 0 12px;
  }

  .hero,
  .top-collections,
  .marketplace,
  .category,
  .news {
    margin: 0 0 30px 0;
  }

  .market,
  .collections {
    margin: 15px 0 30px;

    &__title {
      margin-bottom: 20px;
      font-size: 28px;
    }
  }

  .collection,
  .token {
    margin: 15px 0 30px;
  }

  .marketplace-slider{

    .slider-preloader {
     
       &__item {
         padding-top: 30%;
       }

       &__item:nth-child(4) {
        display: block;
       }
     }
  }

  .coll-tabs-content {
    padding: 20px 0 0;
  }

  .top-collections {
    &__scrollbar {
      display: block;
    }
  }

  .footer-top {
    padding: 20px 0;
  }

  .assets-content.active {
    grid-template-columns: repeat(4, 1fr);
  }

  .assets-content,
  .token-slider {
    grid-gap: 10px;
  }

  .nft-card {
    &__main {
      padding: 10px 4px 4px;
    }

    &__author {
      display: none;
    }

    &__footer {
      padding: 0px 4px 0px;
      background-color: transparent;
      display: flex;
    }

    &__price {
      flex-direction: row;
      font-size: 11px;
      color: var(--main-06);
    }

    &__price-value {
      color: var(--main-06);
    }

    &__price-text {
      display: none;
    }

    &__bid {
      display: none;
    }

    &__btn {
      &.buy-now-btn {
        padding: 0 10px;
      }
    }
  }

  .collection-top-header {
    height: 180px;
  }
  .collection-top-info {
    padding: 30px 0 20px;
    flex-direction: column;
    align-items: stretch;
    max-width: 100%;
    gap: 25px;
  }

  .collection-top-stat {
    padding: 15px;
    min-width: 100%;
    font-size: 13px;
  }

  ul.collection-top-links {
    padding: 0 6px;
    span {
      display: none;
    }
  }

  .post-feed {
    grid-template-columns: repeat(1, 1fr);
  }

  .post-card-large {
    grid-column: 1 / span 1;
  }
}

@media (max-width: 659.98px) {
  .bag {
    inset: 0;
    top: 0px;
    max-width: 100%;
    margin: 0;
    border-radius: 0;
  }

  .footer-bag,
  .top-bag {
    padding: 24px 15px;
  }

  .main-bag {
    padding: 0 7.5px;
  }

  .bag-item {
    padding: 12px 7.5px;
  }

  .wallet {
    margin: auto 0 0;
    padding: 0;

    &__inner {
      max-width: 100%;
      border-left: 0px;
      border-right: 0px;
      border-radius: 16px 16px 0 0;
    }
  }

  .burger-menu {
    &__inner {
      max-width: 100%;
      margin: 0;
      border-radius: 0;
    }

    &__body {
      padding: 20px 15px 24px;
    }
  }

  .marketplace-slider{

    .slider-preloader {
     
       &__item {
         padding-top: 40%;
       }

       &__item:nth-child(4) {
        display: none;
       }
     }
  }

  .assets-filter {
    max-width: 100%;
    margin: 0;
    border-radius: 0;
  }

  .title {
    font-size: 22px;
    letter-spacing: 0;
  }

  .section-top {
    margin-bottom: 10px;
  }

  .hero {
    &__body {
      flex-direction: column;
      padding: 45px 15px;
    }

    &__content {
      margin-bottom: 30px;
      margin-right: 0;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      max-width: 500px;
      text-align: center;
    }

    &__buttons {
      justify-content: center;
      gap: 15px;
      width: 100%;
    }
  }

  .coll-tabs-content__tab {
    grid-template-columns: repeat(1, 1fr);
  }

  .category {
    &__content {
      grid-template-columns: repeat(1, 1fr);
    }
  }

  .footer-top {
    grid-template-columns: repeat(4, 1fr);
    column-gap: 25px;

    &__column {
      min-width: 100%;
    }

    &__socials {
      grid-column: 3 / span 2;
    }
  }

  .theme-change__body {
    right: 0;
  }

  .collection-top-descr {
    &__title {
      font-size: 28px;
    }
    &__subtitle,
    &__text {
      font-size: 14px;
    }
  }

  .token-main-price {
    flex-direction: column;
    align-items: stretch;

    &__item {
      padding: 13px;
    }

    &__value {
      font-size: 16px;
    }
  }

  .token-main {
    &__general {
      padding: 15px;
    }
  }

  .token-main-btns {
    &__btn {
      font-size: 14px;
    }
  }

  .token-slider {
    &__title {
      font-size: 22px;
    }
  }

  .assets-content.active {
    grid-template-columns: repeat(3, 1fr);
  }

  .news-slider {
    .post-card {
      &__title {
        font-size: 16px;
      }
    }
  }

  .post-top {
    &__title {
      font-size: 28px;
    }

    &__text {
      font-size: 18px;
    }
  }

  .post-main {
    p {
      font-size: 18px;
      &:not(:last-child) {
        margin-bottom: 20px;
      }
    }
  }

  .post-subscribe {
    &__title {
      font-size: 28px;
    }
  }

  .post-more {
    &__body {
      grid-template-columns: repeat(1, 1fr);
    }

    .post-card:nth-child(2) {
      display: none;
    }
  }
}

@media (max-width: 479.98px) {
  .header__logo {
    width: 38px;
  }

  .top-collections-slider,
  .news-slider {
    .slider-preloader {
      &__item {
        padding-top: 35.7%;
      }
      &__item:nth-child(2) {
        display: none;
      }
    }
  }

  .marketplace-slider{

    .slider-preloader {
     
       &__item {
         padding-top: 60%;
       }

       &__item:nth-child(3) {
        display: none;
       }
     }
  }

  .assets-content.active {
    grid-template-columns: repeat(2, 1fr);
  }

  .sort-assets {
    &__btn {
      padding: 0;
      width: 48px;
      justify-content: center;
    }

    &__current {
      display: none;
    }
  }

  .token-main {
    &__top {
      padding: 0 10px;
    }
  }

  .post-feed {
    gap: 20px;
  }

  .footer-top {
    grid-template-columns: repeat(3, 1fr);

    &__subscribe {
      grid-column: 1 / span 3;
    }

    &__socials {
      grid-column: 1 / span 3;
      grid-row: 3;
    }
  }
  .theme-change__body {
    right: auto;
  }
}

@media (max-width: 374.98px) {
  .hero {
    &__title {
      font-size: 28px;
      max-width: 300px;
    }

    &__btn {
      width: 120px;
    }
  }

  .collection-top-header__avatar {
    bottom: -15px;
    left: 15px;
    border-radius: 18px;
    width: 100px;
    height: 100px;
  }

  .collection-top-links {
    bottom: 24px;
    right: 15px;
    &__link {
      padding: 8px;
    }

    .icon-discord::before,
    .icon-inst::before,
    .icon-planet::before,
    .icon-reddit::before,
    .icon-twitter::before {
      font-size: 16px;
    }
  }

  .header-blog__logo {
    width: 38px;
  }
}

@media (hover: hover) {
  .bag-item {
    &__remove-mini {
      display: none;
    }

    &:hover {
      .bag-item__remove {
        display: flex;
      }
      .bag-item__price {
        display: none;
      }
      &::before {
        opacity: 1;
        transform: scale(1);
      }
    }
  }
}

@media (hover: none) {
  *::-webkit-scrollbar {
    height: 0;
    width: 0;
  }
}

@supports ((-webkit-backdrop-filter: none) or (backdrop-filter: none)) {
  .header,
  .top-bag,
  .footer-bag {
    background: var(--bg-blur-085);
    backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(20px);
  }

  .dropdown__body {
    background: var(--bg-blur-semi-085);
    backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(20px);
  }

  .collection-top-links {
    background: var(--dark-blur-02);
    backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(20px);
  }
}

// 1920, 1600, 1440, 1366, 1280, 1080, 1024, 992, 768, 720, 480, 375, 320
